import { select, json, geoPath, geoMercator } from 'd3';
import { feature } from 'topojson';

const svg = select('svg');

const width = +svg.attr('width')
const height = +svg.attr('height')

const projection = geoMercator().scale(10000).center([5.116667,52.875])
const pathGenerator = geoPath().projection(projection)

json('https://cartomap.github.io/nl/wgs84/gemeente_2020.topojson')
	.then(data => {
  const gemeente = feature(data, data.objects.gemeente_2020)
  console.log(gemeente)
  
  const nederlandG = svg.append('g')
  
  const paths = nederlandG.selectAll('path')
  	.data(gemeente.features)
		paths.enter()
      .append('path')
  			.attr('d', d => pathGenerator(d))
				// .attr('width', 200)
})